package ex09;

import mylib.Util;

public class BlackJack {
	private CardDeck deck;
	private Dealer dealer;
	private Player player;
	
	public BlackJack(String dname, String pname){
		deck = new CardDeck(CARDS);
		dealer	=	new Dealer(dname, DEALER_ICON, deck);
		player	=	new Player(pname, PLAYER_ICON, deck);
	}
	public void initialize(){
		if(deck.size()<LIMIT) deck.initialize();
		dealer.initialize();
		player.initialize();
	}
	public void show(){
		System.out.println();
		System.out.println(dealer);
		System.out.println(player);
	}
	public void play(){
		String str;
		do{
			System.out.println(BANNER);
			initialize();
			show();
			
		}while((str=Util.getString(Q_CONTINUE))==null);
	}

	
	static final String DEALER_ICON="";
	static final String PLAYER_ICON="";
	static final String BANNER="\n BlackJack ";
	static final int CARDS=52;
	static final String Q_CONTINUE = "܂(Enter/n)";
	static final int  LIMIT = 17;
	
	
	public static void main(String[] args){
		BlackJack	bj = new BlackJack("dealer","player");
		bj.play();
	}

}
